//
// This code is part of https://www.grapecity.com/documents-api-pdf/demos.
// Copyright (c) GrapeCity, Inc. All rights reserved.
//
using System;
using System.IO;
using System.Reflection;
using System.Collections.Generic;
using System.Diagnostics;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Layers;
using System.Numerics;
using System.Drawing;
using GrapeCity.Documents.Pdf.Graphics;
using GrapeCity.Documents.Drawing;

Console.WriteLine("Start");
GcPdfDocument doc = new GcPdfDocument();
FileStream fs = new FileStream("test.pdf", FileMode.Open);
doc.Load(fs);

GcPdfDocument newDoc = new GcPdfDocument();
for (var i = 0; i < doc.Pages.Count; i++)
{
    var newPage = newDoc.NewPage();
    newPage.Size = new SizeF(newPage.Size.Height, newPage.Size.Width);  //Swap height and width dimensions
    var newGraphics = newPage.Graphics;
    var formXObject = new FormXObject(newDoc, doc.Pages[i]);
    newGraphics.DrawForm(formXObject, doc.Pages[i].Bounds, null, ImageAlign.CenterImage);
}
newDoc.Save("rotated.pdf");
Console.WriteLine("End");
